[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# equal(Byte,TUInt24Rec):Boolean

Check whether a TUInt24Rec value equals a byte value.

## Declaration

Source position: unicodedata.pas line 246

`class operator TUInt24Rec.equal(Byte,TUInt24Rec):Boolean(`
`a: Byte;`
`b: TUInt24Rec`
`):Boolean;`

## Arguments

`a` |  | Byte value to compare
`b` |  | TUInt24Rec to compare

## Function result

True if a and b are equal

## Description

The byte b is considered equal to a if it equals byte0 and byte1 and byte1 are zero.